Dist::Zilla::Plugin::PruneFiles(3pm)

NAME
Dist::Zilla::Plugin::PruneFiles - prune arbitrary files from the dist

VERSION
version 6.037

SYNOPSIS
This plugin allows you to explicitly prune some files from your distribution. You can either specify the exact set of files (with the "filenames" parameter) or provide the regular expressions to check (using "match").

This is useful if another plugin (maybe a FileGatherer) adds a bunch of files, and you only want a subset of them.

In your dist.ini:

  [PruneFiles]
  filename = xt/release/pod-coverage.t ; pod coverage tests are for jerks
  filename = todo-list.txt             ; keep our secret plans to ourselves

  match     = ^test_data/
  match     = ^test.cvs$

PERL VERSION
This module should work on any version of perl still receiving updates from the Perl 5 Porters. This means it should work on any version of perl released in the last two to three years. (That is, if the most recently released version is v5.40, then this module should work on both v5.40 and v5.38.)

Although it may work on older versions of perl, no guarantee is made that the minimum required version will not be increased. The version may be increased for any reason, and there is no promise that patches will be accepted to lower the minimum required perl.

ATTRIBUTES

  filenames
This is an arrayref of filenames to be pruned from the distribution.

  matches
This is an arrayref of regular expressions and files matching any of them, will be pruned from the distribution.

SEE ALSO
Dist::Zilla plugins: PruneCruft, GatherDir, ManifestSkip.

AUTHOR
Ricardo SIGNES 😏 <cpan@semiotic.systems>

COPYRIGHT AND LICENSE
This software is copyright (c) 2026 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.